6.3 Peer Review Workshop for Essay 2

Submissions closed: Wednesday, October 31, 2018, 11:55 PM
Assessments opened: Thursday, November 1, 2018, 12:00 AM
Assessments closed: Tuesday, November 6, 2018, 10:55 PM
View

Setup phase

Workshop timeline with 5 phasesSkip to current tasks
Setup phase
Current phase
  • Task info The workshop is currently being set up. Please wait until it is switched to the next phase.
Submission phase
  • Task info Submissions deadline: Wednesday, October 31, 2018, 11:55 PM (1127 days ago)
  • Task info Late submissions are allowed
Assessment phase
  • Task info Open for assessment from Thursday, November 1, 2018, 12:00 AM (1127 days ago)
  • Task info Assessment deadline: Tuesday, November 6, 2018, 10:55 PM (1121 days ago)
Grading evaluation phase
Closed